Page MenuHomePhabricator

Show tables in pdfs (#9)
Open, Stalled, Needs TriagePublic

Description

Survey: 2015

Orignal Wishes:
This card tracks a proposal from the 2015 German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/PDF_und_Drucken#Tabellen_in_PDFs
It received 22 support votes and was ranked #11: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C%BCnsche#Anzeige_eines_Hinweises.2C_dass_Tabellen_in_PDFs_nicht_.28fehlerfrei.29_dargestellt_werden_.5BUmfrage_2015.5D

This was also in the international Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey
There it received 23 support votes, and was ranked #39 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Templates#Inserting_templates_.28tables.29_in_PDF_and_Books

Problem: When downloading an article as pdf or as a book in pdf form, tables of any kind seem to be omitted.
Example: https://de.wikipedia.org/wiki/Bob-Weltmeisterschaft_2016

Communities that might be interested:

Scoping by the TCB-team:
After having checked back with the community, we now plan to do the following:

Research insights:

Related tickets:
A general ticket for open issues around tables in pdfs can be found here: T73808: Support tables in PDF rendering (tracking)

[1]https://en.wikipedia.org/wiki/User_talk:Jimbo_Wales#Wikipedia.2C_we_have_a_problem see section above, CScott's comment

Related Objects

StatusAssignedTask
OpenJKatzWMF
StalledNone
ResolvedWMDE-Fisch
ResolvedAddshore
InvalidNone
InvalidNone
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
Resolvedgabriel-wmde
ResolvedAddshore
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
ResolvedTobi_WMDE_SW
DeclinedNone
ResolvedTobi_WMDE_SW
Resolved GWicke
Resolvedmobrovac
ResolvedPchelolo
Resolvedmobrovac
Resolved dpatrick
Resolved dpatrick
Resolved Lea_WMDE
ResolvedAddshore

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 18 2016, 3:58 PM
Bmueller updated the task description. (Show Details)May 18 2016, 4:07 PM
Lea_WMDE renamed this task from Show tables in pdfs to [GTWL] Show tables in pdfs.May 18 2016, 4:23 PM
Restricted Application added a subscriber: Sadads. · View Herald TranscriptMay 18 2016, 4:23 PM
Tobi_WMDE_SW updated the task description. (Show Details)May 18 2016, 6:59 PM
cscott added a subscriber: cscott.May 18 2016, 8:10 PM
mb added a subscriber: mb.May 18 2016, 10:45 PM
  • What is the current library used for this conversion?
  • What speaks against the naive approach of using wkhtmltopdf to render a print-stylesheeted version of the page to a pdf?

…it is described in T134205

Lea_WMDE renamed this task from [GTWL] Show tables in pdfs to Show tables in pdfs (#9).Jul 14 2016, 12:10 PM
Lea_WMDE updated the task description. (Show Details)
Yomomo added a subscriber: Yomomo.Jul 22 2016, 7:50 PM

I'm trying to make a program that translates wiki source code to OpenOffice Writer. See Wiki2OpenOffice. There I have a couple of rather primitiv subroutines that create tables and mathematic formulas in OO writer using Wiki source code. I don't know what programming language you are using, but if it is near to StarBasic or c++ maybe I could help by programming. I find it though better to make a translation program from wiki to writer, because it permits individualising. Each person can then infuence the outcoming book the way it wants!

Lea_WMDE updated the task description. (Show Details)Aug 4 2016, 11:09 AM

Hi @Yomomo thanks for offering your help! Our programming will probably be in php, but if you have knowledge there too, we are happy to have support!

Lea_WMDE updated the task description. (Show Details)Aug 5 2016, 1:45 PM
Lea_WMDE updated the task description. (Show Details)Aug 8 2016, 2:35 PM
Lea_WMDE added a subscriber: GWicke.
Cirdan added a subscriber: Cirdan.Jan 1 2017, 10:56 PM
mb removed a subscriber: mb.Jun 8 2017, 1:10 AM

@Lea_WMDE - can we safely close this? (electron has been running on all projects for a while now)

Steelpillow added a comment.EditedAug 29 2017, 1:55 PM

Can I ask that you keep it open for now? On en.wikipedia, downloading a single page as a PDF now includes tables, fine. But building a PDF book using Book Creator still does not pull in the tables.

Yet, the full problem stated when opening this issue was, "Problem: When downloading an article as pdf or as a book in pdf form, tables of any kind seem to be omitted."
T142202 "Only render single articles, and not collections or books" appears to turn its back on a full solution to the stated problem (unless I misinterpret its scope).

If we can do it in a standalone page, why not for that same page when it is in a book? There is unfinished business here that I would like to see resolved before this ticket gets closed.

@Steelpillow - a bit of background on this. We've been working on switching to the single-column layout for books and single PDFs. We've been building a new renderer for books which will include tables (more info in T171832: Deploy new book renderer to all projects and associated subtasks). The exact styles and requirements for books can be found here: T167955: Create PDF styles for books and here: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality

@ovasileva - thank you. I am glad to see that this has not been forgotten. But my request stands: until these other tickets are completed, the stated Problem here remains unfinished business.

@Steelpillow - just to confirm, while this ticket does reflect the issue, the solution is no longer tracked here, but in T171832: Deploy new book renderer to all projects and associated tasks, making this a duplicate.

Aklapper changed the task status from Open to Stalled.May 16 2018, 12:50 PM

All subtasks are closed.

"building a PDF book using Book Creator still does not pull in tables" mentioned in T135643#3562036 is covered by T184772#4116906.
Setting task status to stalled.

MJL added a subscriber: MJL.Apr 7 2019, 9:30 PM